Bug 74333 - DATALOSS: Textfield or Picture inside a chart is hidden
Summary: DATALOSS: Textfield or Picture inside a chart is hidden
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: highest critical
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.3.0
Keywords: bibisected, regression
: 74268 74623 77331 77430 80750 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-02-01 17:43 UTC by Robert Großkopf
Modified: 2015-12-17 07:35 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet with a chart and text on this chart isn't shown with LO 4.2.0.4. in Calc (16.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-01 17:43 UTC, Robert Großkopf
Details
Text-document with a chart isn't shown in Writer since LO 4.2.0.4 (15.37 KB, application/vnd.oasis.opendocument.text)
2014-02-01 17:45 UTC, Robert Großkopf
Details
Test file with a chart on sheet "Feuille 1" containing numerous textfields and pictures (43.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-04 17:37 UTC, Laurent BP
Details
Screen shot of previous test file with LibO 4.1.5 RC1 (129.19 KB, image/png)
2014-02-04 17:43 UTC, Laurent BP
Details
Screen shot of previous test file with LibO 4.2.0 RC4 (110.10 KB, image/png)
2014-02-04 17:45 UTC, Laurent BP
Details
chart_text.ods exported to the ODC (chart) file (6.81 KB, application/vnd.oasis.opendocument.chart)
2014-03-07 14:03 UTC, ape
Details
LO-4.1.6 - OK (my confusion) (53.16 KB, image/png)
2014-03-08 08:43 UTC, ape
Details
Eckert.ods exported to the ODC (chart) file Eckert.odc by LO-4.1.6.0.0+ (16.21 KB, application/vnd.oasis.opendocument.chart)
2014-03-08 08:52 UTC, ape
Details
'chart_text.ods' exported to 'chart_text-42.odc' file by LibO-4.2.2.1 (30.43 KB, application/vnd.oasis.opendocument.chart)
2014-03-08 09:29 UTC, ape
Details
The text block was added in the chart by LibO-4.2.2.1 (32.11 KB, application/vnd.oasis.opendocument.chart)
2014-03-08 11:01 UTC, ape
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2014-02-01 17:43:11 UTC
Created attachment 93183 [details]
Spreadsheet with a chart and text on this chart isn't shown with LO 4.2.0.4. in Calc

Open a Calc-document with a chart. Write text (with the textbox of the drawing-toolbar) on this chart. Save the file. Reopen it.
With LO up to 4.1.4.2 the text is shown well, with LO 4.2.0.4 the text has gone. It's the same behavior in Calc or Writer. But notice the preview in LO 4.2.0.4 - it shows the text written on the chart.
Comment 1 Robert Großkopf 2014-02-01 17:45:02 UTC
Created attachment 93185 [details]
Text-document with a chart isn't shown in Writer since LO 4.2.0.4
Comment 2 Laurent BP 2014-02-04 16:44:33 UTC
Hi,

The text is not *over* the chart but is *inside* the chart.
You need to open the chart to insert the text.
Comment 3 Laurent BP 2014-02-04 17:25:27 UTC
Change Title to agree with procedure.
Comment 4 Laurent BP 2014-02-04 17:37:14 UTC
Created attachment 93391 [details]
Test file with a chart on sheet "Feuille 1" containing numerous textfields and pictures

On sheet "Figure 1", each line has a number between brackets, two pictures show equation used for X and Y values and some Title and comments are added as textfields.
Everything is ok in LibO 4.1.5.1 (except the last value "(4)" which appears bigger than it should.
With LibO 4.2.0.4, no text, no picture at all.
Comment 5 Laurent BP 2014-02-04 17:43:51 UTC
Created attachment 93392 [details]
Screen shot of previous test file with LibO 4.1.5 RC1

All texts and pictures are OK
Comment 6 Laurent BP 2014-02-04 17:45:09 UTC
Created attachment 93394 [details]
Screen shot of previous test file with LibO 4.2.0 RC4

All texts and pictures disappeared.
Comment 7 Regina Henschel 2014-02-05 19:49:52 UTC
The additional content gets lost on reading. I can generate an additional text box inside the chart using version 4.3 and save it. It can be seen, when the file is opened by Apache OpenOffice, but it is lost, when I reopen the file in LibreOffice version 4.3.
Comment 8 Laurent BP 2014-02-06 19:00:55 UTC
Bug NOT present with Version: 4.2.0.0.alpha1+
Build ID: d366c9b20ec86f3fe521812a0c22def3bfd1f05e
TinderBox: Win-x86@47-TDF, Branch:master, Time: 2013-11-14_07:51:04

Bug confirmed with Version: 4.2.0.0.beta1
Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7
which was build on: 2013-11-23_11:29
Comment 9 Laurent BP 2014-02-06 20:44:28 UTC
Trying to bibisect

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
3f4e0d91dcb02a64c961fa8b9ce02b58a0be2da3
3936d414a5394bc6f13a2903c1be5288828d0e3f

git bisect log
# bad: [f36b371d24b8b7212e611431b1c26449dc2a5375] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
# good: [24c6e7658aaf3e673948c97db16265a2f6cd2432] source-hash-90830788b1f8fd61ea86135712868aeda395edd0
git bisect start 'latest' 'oldest'
# good: [ddb00a71f5ed8b8e4fa2157a519614c69af6477c] source-hash-5d0051efb99c6cbd0dc4dd655a71e7435159f6bc
git bisect good ddb00a71f5ed8b8e4fa2157a519614c69af6477c
# good: [ddb00a71f5ed8b8e4fa2157a519614c69af6477c] source-hash-5d0051efb99c6cbd0dc4dd655a71e7435159f6bc
git bisect good ddb00a71f5ed8b8e4fa2157a519614c69af6477c
# good: [c18767dea6ff322d3625806c98a7048d61403be2] source-hash-4ac9fa7a887d09edf7f1fc38f155a93cff30ac97
git bisect good c18767dea6ff322d3625806c98a7048d61403be2
# good: [024c6b9c9d5e995242d69d24958a64e907dc30fb] source-hash-9ab89a7599f79092027ae86b5b4cd0e3d67b8b4d
git bisect good 024c6b9c9d5e995242d69d24958a64e907dc30fb
# bad: [174dd5e8aac55aa53b2ef3116aac9f7c4f7def72] source-hash-5a3143c1a44d4c9d922aa33812d7c428664a8cf9
git bisect bad 174dd5e8aac55aa53b2ef3116aac9f7c4f7def72
# good: [f67315a2d234934add3a6bc5dd7b8df58304dcef] source-hash-3dab6fcbedf21c1d2971527f6f99fa46d3d45514
git bisect good f67315a2d234934add3a6bc5dd7b8df58304dcef
# bad: [3936d414a5394bc6f13a2903c1be5288828d0e3f] source-hash-d7e4e5d35e66dbfcc30576d198e393661d84f616
git bisect bad 3936d414a5394bc6f13a2903c1be5288828d0e3f
# skip: [3f4e0d91dcb02a64c961fa8b9ce02b58a0be2da3] source-hash-e79c706ddda21f850fe3c5a867bacf3982e5b112
git bisect skip 3f4e0d91dcb02a64c961fa8b9ce02b58a0be2da3
# only skipped commits left to test
# possible first bad commit: [3936d414a5394bc6f13a2903c1be5288828d0e3f] source-hash-d7e4e5d35e66dbfcc30576d198e393661d84f616
# possible first bad commit: [3f4e0d91dcb02a64c961fa8b9ce02b58a0be2da3] source-hash-e79c706ddda21f850fe3c5a867bacf3982e5b112
Comment 10 Laurent BP 2014-02-07 12:11:21 UTC
Update version
Comment 11 ape 2014-03-06 13:00:49 UTC
(In reply to comment #4)
> Created attachment 93391 [details]
> Test file with a chart on sheet "Feuille 1" containing numerous textfields
> and pictures
> 
> On sheet "Figure 1", each line has a number between brackets, two pictures
> show equation used for X and Y values and some Title and comments are added
> as textfields.
> Everything is ok in LibO 4.1.5.1 (except the last value "(4)" which appears
> bigger than it should.
> With LibO 4.2.0.4, no text, no picture at all.

I confirm this bug in LibreOfficeDev 4.3.0.0.alpha0+:
Build ID: 4402efc18ae16e279d55858946d2c8b8972f3f9f
TinderBox: Win-x86@39
Branch: master
Time: 2014-03-04_00:54:43
OS: Windows XP sp2 64-bit Edition
Comment 12 ape 2014-03-06 13:02:17 UTC
(In reply to comment #4)
> Created attachment 93391 [details]
> Test file with a chart on sheet "Feuille 1" containing numerous textfields
> and pictures
> 
> On sheet "Figure 1", each line has a number between brackets, two pictures
> show equation used for X and Y values and some Title and comments are added
> as textfields.
> Everything is ok in LibO 4.1.5.1 (except the last value "(4)" which appears
> bigger than it should.
> With LibO 4.2.0.4, no text, no picture at all.

I confirm this bug in LibreOfficeDev 4.3.0.0.alpha0+:
Build ID: 4402efc18ae16e279d55858946d2c8b8972f3f9f
TinderBox: Win-x86@39
Branch: master
Time: 2014-03-04_00:54:43
OS: Windows XP sp2 64-bit Edition
Comment 13 ape 2014-03-07 14:03:15 UTC
Created attachment 95302 [details]
chart_text.ods exported to the ODC (chart) file

There are two interesting points (use LibreOffice 4.1.6.0.0+).
1. Open the file "chart_text.ods" (attachment 93183 [details]).
2. Select the chart.
3. Save the selection as a "chart_text.odc" (see an attachment).
4. Open the file using LibreOffice(Chart) 4.1.6.0.0+.
5. There is not text box here.
6. Open the file "Eckert.ods" (attachment 93391 [details]).
7. Select the chart.
8. Try to save the selection as a chart – "Eckert.odc".
9. You get crash of LibreOffice 4.1.6.0.0+.
 This made me think that the problem is not only in the Calc. Maybe the ODC format (as the file) is written incorrectly.
 Please see bug 66894 too.
--
Markus! Please do not disable the ability to create ODC files. Maybe someone will develop the format. ODC files are very well suited for the processing and reporting of statistical 3D arrays.
Comment 14 ape 2014-03-08 08:43:59 UTC
Created attachment 95345 [details]
LO-4.1.6 - OK (my confusion)

Sorry, that's my confusion. LibreOffice-4.1.6.0.0+ opens the Chart file correctly. The description of the ODC file is writing up correctly.
I made a mistake, because not looked the version of LibreOffice. It was 4.3.0.0 +.
Comment 15 ape 2014-03-08 08:52:30 UTC
Created attachment 95346 [details]
Eckert.ods exported to the ODC (chart) file Eckert.odc by LO-4.1.6.0.0+
Comment 16 ape 2014-03-08 09:29:58 UTC
Created attachment 95350 [details]
'chart_text.ods' exported to 'chart_text-42.odc' file by LibO-4.2.2.1

Look at attachment 95345 [details] and chart_text-42.odc (an attachment):

the lines:
- <style:style style:name="gr1" style:family="graphic">
  <style:graphic-properties draw:stroke="none" svg:stroke-color="#000000" draw:fill="none" draw:fill-color="#ffffff" fo:min-height="1.747cm" /> 
  </style:style>
- <style:style style:name="P1" style:family="paragraph">
  <style:text-properties fo:font-family="Arial" style:font-style-name="Fett" style:font-family-generic="swiss" style:font-pitch="variable" fo:font-size="14pt" fo:font-weight="bold" style:font-size-asian="24pt" style:font-size-complex="24pt" /> 
  </style:style>
- <style:style style:name="T1" style:family="text">
  <style:text-properties fo:font-family="Arial" style:font-style-name="Fett" style:font-family-generic="swiss" style:font-pitch="variable" fo:font-size="14pt" fo:font-weight="bold" style:font-size-asian="24pt" style:font-size-complex="24pt" /> 
  </style:style>
- <text:list-style style:name="L1">
- <text:list-level-style-number text:level="1" style:num-format="A">
  <style:list-level-properties /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="2" style:num-format="A">
  <style:list-level-properties text:space-before="0.8cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
+ <text:list-level-style-number text:level="3" style:num-format="A">
  <style:list-level-properties text:space-before="1.6cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="4" style:num-format="A">
  <style:list-level-properties text:space-before="2.4cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="5" style:num-format="A">
  <style:list-level-properties text:space-before="3.2cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="6" style:num-format="A">
  <style:list-level-properties text:space-before="4cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="7" style:num-format="A">
  <style:list-level-properties text:space-before="4.8cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="8" style:num-format="A">
  <style:list-level-properties text:space-before="5.6cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="9" style:num-format="A">
  <style:list-level-properties text:space-before="6.4cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
- <text:list-level-style-number text:level="10" style:num-format="A">
  <style:list-level-properties text:space-before="7.2cm" /> 
  <style:text-properties fo:color="#000000" fo:font-size="100%" /> 
  </text:list-level-style-number>
  </text:list-style>
  </office:automatic-styles>
  
between:
- <style:style style:name="ch8" style:family="chart">
  <style:graphic-properties svg:stroke-color="#b3b3b3" draw:fill-color="#cccccc" /> 
  </style:style>

and:
- <office:body>
- <office:chart>
- <chart:chart svg:width="16cm" svg:height="9cm" xlink:href=".." xlink:type="simple"

have been omitted in the description (content.xml).
Comment 17 ape 2014-03-08 11:01:22 UTC
Created attachment 95352 [details]
The text block was added in the chart by LibO-4.2.2.1

It seems to me that the reason is how the program (LbO-4.2.x and LibODev-4.3.0) reads the chart. See the ‘chart_text_42new.odc’ file (an attachment).
 I've completed these steps (using LibreOffice-4.2.2.1): 
 1. Open the ‘chart_text.ods’ file (attachment 93183 [details]): the text box is not displayed. 
 2. Select the chart. 
 3. Create a new text block. 
 4. Save as a new chart - ‘chart_text_42new.odc’. 
 You can see the new text in LibO-4.1.6. But you will not see the new text, if you open a new chart by LibO-4.2.2 or LibODev-4.3.0.
Comment 18 Jean-Baptiste Faure 2014-03-08 11:45:01 UTC
Added DATALOSS in the summary, because even if the hidden data are still there, the user can't know that unless she has the mean to open the file with a previous version like 4.1.x. Manny Linux users with the version provided by their distribution are not able to install another version. So for them it is a dataloss.
Set severity accordingly.

Best regards. JBF
Comment 19 Markus Mohrhard 2014-03-09 18:32:47 UTC
> --
> Markus! Please do not disable the ability to create ODC files. Maybe someone
> will develop the format. ODC files are very well suited for the processing
> and reporting of statistical 3D arrays.

It is not useful or even working correctly in its current form. It was just a hack to allow testing of copy&paste issues through import&export.

As long as nobody is showing up who improves the situation it is a much better idea to hide this feature behind the dbgutil flag so only developers who know what they are doing can mess with it.

I think the generated documents are not even valid as I used an incredibly ugly hack to get odc export working.
Comment 20 Markus Mohrhard 2014-03-27 22:43:07 UTC
*** Bug 74623 has been marked as a duplicate of this bug. ***
Comment 21 Markus Mohrhard 2014-03-27 22:44:19 UTC
*** Bug 74268 has been marked as a duplicate of this bug. ***
Comment 22 Markus Mohrhard 2014-04-13 23:12:43 UTC
*** Bug 77331 has been marked as a duplicate of this bug. ***
Comment 23 m.a.riosv 2014-04-15 23:52:41 UTC
*** Bug 77430 has been marked as a duplicate of this bug. ***
Comment 24 bruno.binet 2014-04-16 13:16:33 UTC
This bug is still present in LO 4.2.3.3. I can see the textbox (inserted in 4.2) if I open the document with a previous version (tested with 3.5). It is an essential feature for scientific graphing (that was working before).
Comment 25 Commit Notification 2014-04-25 18:11:49 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a371f5de634195785c9e4b90118049b3c8260ac6

fix missing service factory during import, related fdo#74333, cp#1000057



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2014-04-25 18:12:03 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b2ec44912ca2e0548d8078d2edf17fa10856553

the chart root shape has to be at the bottom, fdo#74333, cp#1000057



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Laurent BP 2014-04-26 10:01:08 UTC
Fixed with Version: 4.3.0.0.alpha1+
Build ID: c6c286f14468d341f5fd88edc39a37175a1b6caa

Thanks Markus :)
I hope it could be merged to 4.2 branch quite soon.
Comment 28 ape 2014-05-08 06:29:53 UTC
I reopened this bug because the patch has not yet been included in the code of LibreOffice-4.2.5.0.0+.
Comment 29 tommy27 2014-05-08 09:56:37 UTC
@ape
this is not the correct procedure.
once a bug is FIXED in a branch (i.e. 4.3.x) you should not REOPEN if it's still present in older branch (i.e. 4.2.x) but rather ask for backport, if it is technically feasible.
Comment 30 ape 2014-05-08 13:13:23 UTC
(In reply to comment #29)
> @ape
> this is not the correct procedure.
> once a bug is FIXED in a branch (i.e. 4.3.x) you should not REOPEN if it's
> still present in older branch (i.e. 4.2.x) but rather ask for backport, if
> it is technically feasible.

@tommy27:
OK. Let LibO-4.2 contains the bug, which was not in LibO-4.1 and is not in LibO-4.3.
Sorry, but I will not ask for anything because Laurenеt BP had done this two weeks ago.
Comment 31 bruno.binet 2014-05-08 16:33:10 UTC
How can I ask for backport? 

We need a fix in 4.2 branch. We will adopt LO4.2 in our college (fall 2014) since we need the new features of 4.2 and 4.3 will not be as stable at this moment.

I understand that it is too late for 4.2.4, but it's not the end of 4.2...
Comment 32 tommy27 2014-05-08 16:44:02 UTC
Markus Mohrhard is the developer that fixed it in 4.3.x
he probably knows if this can be safely backported or not to 4.2.x

I think he's on CC list so he should see your request
Comment 33 bruno.binet 2014-05-08 17:07:27 UTC
OK, so please Markus let us know if it can be backported to 4.2.
Comment 34 Laurent BP 2014-05-24 15:59:09 UTC
Backport of a371f5de634195785c9e4b90118049b3c8260ac6 to LibO4-2 proposed through commit 9467
https://gerrit.libreoffice.org/#/c/9467/
Comment 35 Laurent BP 2014-05-24 16:24:52 UTC
I wanted to backport in the same way 3b2ec44912ca2e0548d8078d2edf17fa10856553 but I got a compilation error:
.../sd/source/ui/unoidl/unopage.cxx: In member function ‘com::sun::star::uno::Any SdGenericDrawPage::getNavigationOrder()’:
.../sd/source/ui/unoidl/unopage.cxx:2673:53: error: ‘com::sun::star::container::XIndexAccess’ is an ambiguous base of ‘SdGenericDrawPage’
         return Any( Reference< XIndexAccess >( this ) );
                                                     ^
I've no idea how to go further.

However, commit 9467 is sufficient to fix the bug in LibO 4.2
Comment 36 Markus Mohrhard 2014-05-24 16:28:59 UTC
(In reply to comment #34)
> Backport of a371f5de634195785c9e4b90118049b3c8260ac6 to LibO4-2 proposed
> through commit 9467
> https://gerrit.libreoffice.org/#/c/9467/

I have abandoned that review request. Unless you understand the code and know why I did not backport it I would very much appreciate if you don't try to backport it.
Comment 37 Markus Mohrhard 2014-07-02 22:26:49 UTC
*** Bug 80750 has been marked as a duplicate of this bug. ***
Comment 38 bruno.binet 2014-08-27 19:02:12 UTC
This bug is 90% solved in LO4.3 but there is still a problem if you don't change the font size in the textbox.

I have filled a new bug:
Bug 83159 - DATALOSS: default font size not saved in chart textbox
Comment 39 Jean-Baptiste Faure 2015-04-20 19:56:46 UTC
Please, do not reopen a closed bug without explanation and very strong arguments.
If the bug is old, it is surely better to fill a new bug report because the problem cause is probably different.

Set back to resolved / fixed.

Best regards. JBF
Comment 40 Robinson Tryon (qubit) 2015-12-17 07:35:29 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]